
'=======================================================
'                                                      '
'            -------------------------                 '
'                  StringMap.inc                       '
'            -------------------------                 '
'                                                      '
'     This include file & lib file will help you to    ' 
'                manipulate strings.                   ' 
'                                                      '
'                    By Andy1966.                      '
'                                                      '
'=======================================================

$use "StringMap.lib"

'==============================================
' Declare External functions of the lib file. '
'==============================================

declare extern SMSearchText(string SMAstring,string SMDelimiter),int
declare extern SMReplaceDels(string SMAstring,string SMDelimiter,string SMNewDelimiter),string
declare extern SMReplaceDelX(string SMAstring,string SMDelimiter,int SMDelNo,string SMNewDelimiter),string
declare extern SMCountBlocks(string SMAstring,string SMDelimiter),int
declare extern SMGetFirstText(string SMAstring,string SMDelimiter),string 
declare extern SMGetNextText(string SMAstring,string SMDelimiter,int SMBlockCount),string
declare extern SMGetLastText(string SMAstring,string SMDelimiter),string
declare extern SMBCount(string SMAstring,string SMDelimiter),int
declare extern SMInstrAll(string SMAstring,string SMSearchInText),int
declare extern SMInstrX(string SMAstring,string SMSearchInText,int SMInstance),int
declare extern SMReplaceString(string SMAstringIn,string SMSearchInText,int SMInstance,string SMANewText),string
declare extern SMReplaceFirstString(string SMAstringIn,string SMSearchInText,string SMANewText),string
declare extern SMReplaceLastString(string SMAstringIn,string SMSearchInText,string SMANewText),string
declare extern SMReplaceAllStrings(string SMAstring,string SMSearchInText,string SMANewText),string
declare extern SMReplaceStringBetween(string SMAstringIn,string SMSearchInText1,int SMBin1,string SMSearchInText2,int SMBin2,string SMReplaceWith),string
declare extern SMReplaceStringFrom(string SMAstringIn,string SMSearchInText1,int SMBin1,string SMSearchInText2,int SMBin2,string SMReplaceWith),string
declare extern SMReplaceString2(string SMAstringIn,string SMSearchInText,string SMANewText,INT SMSearchStringIn),string
declare extern SMGetTheStringPos(string SMAstringIn,string SMSearchInText,int SMSearchNo),int
declare extern SMGetNextInst(string SMAstringIn,string SMSearchInText,int SMInst),string
declare extern SMGetStringBefore(string SMAstringIn,string SMSearchInText,int SMBin),string
declare extern SMGetStringAfter(string SMAstringIn,string SMSearchInText,int SMBin),string
declare extern SMGetStringBetween(string SMAstringIn,string SMSearchInText1,int SMBin1,string SMSearchInText2,int SMBin2),string
declare extern SMGetStringFrom(string SMAstringIn,string SMSearchInText1,int SMBin1,string SMSearchInText2,int SMBin2),string
declare extern SMCheckValues(string SMAstringIn,string SMSearchInText1,int SMBin1,string SMSearchInText2,int SMBin2)
declare extern SMCheckValuesI1(string SMAstringIn,string SMSearchInText1,int SMBin1),int 
declare extern SMCheckValuesI2(string SMAstringIn,string SMSearchInText2,int SMBin2),int
declare extern SMStringCheck(string SMAstringIn,string SMSearchInText1,int SMBin1,string SMSearchInText2,int SMBin2),string
declare extern SMCheckPositions(string SMAstringIn,string SMSearchInText1,int SMBin1,string SMSearchInText2,int SMBin2),string
declare extern SMCountDels(string SMAstringIn,string SMDelimiter),int
declare extern SMGetBeforeDel(string SMAstringIn,string SMDelimiter,int SMDelin1),string
declare extern SMGetAfterDel(string SMAstringIn,string SMDelimiter,int SMDelin1),string
declare extern SMGetFromDel(string SMAstringIn,string SMDelimiter,int SMDelin1),string
declare extern SMGetBetweenDel(string SMAstringIn,string SMDelimiter,int SMDelin1,int SMDelin2),string
declare extern SMGetFromDelToDel(string SMAstringIn,string SMDelimiter,int SMDelin1,int SMDelin2),string
declare extern SMGetNextDelimiter(string SMAstringIn,string SMDelimiter,int SMDelin),int
declare extern SMGetFromDelToText(string SMAstringIn,string SMDelimiter,int SMDelin1,int SMBlockIn1),string
declare extern SMGetFromTextToDel(string SMAstringIn,string SMDelimiter,int SMBlockIn1,int SMDelin1),string
declare extern SMInsertStringBefore(string SMAstringIn,string SMSearchInText,int SMInstance,string SMANewText),string
declare extern SMInsertStringAfter(string SMAstringIn,string SMSearchInText,int SMInstance,string SMANewText),string
declare extern SMInsertStringBeforeDel(string SMAstringIn,string SMDelimiterIn,int SMInstance,string SMANewText),string
declare extern SMInsertStringAfterDel(string SMAstringIn,string SMDelimiterIn,int SMInstance,string SMANewText),string
declare extern SMIsStringAlpha(string SMAstringIn),int
declare extern SMIsStringNum(string SMAstringIn),int
declare extern SMIsStringAlphaNum(string SMAstringIn),int
declare extern SMIsStringNormal(string SMAstringIn),int
declare extern SMCountWhiteSpaces(string SMAstringIn),int
declare extern SMGetWhiteSpace(string SMAstringIn),int
declare extern SMGetBeforeWhiteSpace(string SMAstringIn),string
declare extern SMGetAfterWhiteSpace(string SMAstringIn),string
declare extern SMRemoveWhiteSpace(string SMAstringIn),string 
declare extern SMRemoveAllWhiteSpaces(string SMAstringIn),string 
declare extern SMReverseString(string SMAstringIn),string 
declare extern SMCountAlpha(string SMAstringIn),int
declare extern SMCountNums(string SMAstringIn),int
declare extern SMCountAlphaNums(string SMAstringIn),int
declare extern SMCountNonAlphaNums(string SMAstringIn),int
declare extern SMCountWords(string SMAstringIn),int
declare extern SMReplaceAllNums(string SMAstringIn,string SMReplaceWith),string
declare extern SMReplaceAllAlphas(string SMAstringIn,string SMReplaceWith),string
declare extern SMReplaceNumX(string SMAstringIn,string SMReplaceWith,int SMInstance),string 
declare extern SMReplaceAlphaX(string SMAstringIn,string SMReplaceWith,int SMInstance),string
declare extern SMReplaceNonX(string SMAstringIn,string SMReplaceWith,int SMInstance, opt int SMIncSpace),string 
declare extern SMReplaceAllNons(string SMAstringIn,string SMReplaceWith,opt int SMIncSpace),string 
declare extern SMGetBeforeNumX(string SMAstringIn,int SMInstance),string
declare extern SMGetAfterNumX(string SMAstringIn,int SMInstance),string
declare extern SMGetBetweenNums(string SMAstringIn,int SMInstance1,int SMInstance2),string
declare extern SMGetBeforeAlphaX(string SMAstringIn,int SMInstance),string  
declare extern SMGetAfterAlphaX(string SMAstringIn,int SMInstance),string 
declare extern SMGetBetweenAlphas(string SMAstringIn,int SMInstance1,int SMInstance2),string
declare extern SMGetBeforeNonX(string SMAstringIn,int SMInstance,opt int SMIncSpace),string
declare extern SMGetAfterNonX(string SMAstringIn,int SMInstance,opt int SMIncSpace),string
declare extern SMGetBetweenNons(string SMAstringIn,int SMInstance1,int SMInstance2,opt int SMIncSpace),string
declare extern SMReverseText(string SMAstringIn,string SMSearchInText,int SMInstance),string
declare extern SMCountExts(string SMAstringIn),int
declare extern SMGetExtX(string SMAstringIn,int SMExt1),int
declare extern SMGetBeforeExtX(string SMAstringIn,int SMExt1),string
declare extern SMGetAfterExtX(string SMAstringIn,int SMExt1),string
declare extern SMGetBetweenExt(string SMAstringIn,int SMInst1,INT SMInst2),string 
declare extern SMRemoveExtX(string SMAstringIn,int SMExt1),string
declare extern SMRemoveAllExts(string SMAstringIn),string
declare extern SMReplaceExtX(string SMAstringIn,int SMInstance,string SMANewText),string
declare extern SMReplaceAllExts(string SMAstring,string SMANewText),string
declare extern SMCountNonKeys(string SMAstringIn),int
declare extern SMReverseNums(string SMAstringIn),string
declare extern SMReverseAlphas(string SMAstringIn),string 
declare extern SMReverseAlphaNums(string SMAstringInA),string 
declare extern SMReverseNonAlphaNums(string SMAstringInA),string
declare extern SMReverseExts(string SMAstringInA),string
declare extern SMGetWordX(string SMAstringIn,int SMWordInst),string
declare extern SMGetStringBeforeWordX(string SMAstringIn,int SMWordInst),string
declare extern SMGetStringAfterWordX(string SMAstringIn,int SMWordInst),string
declare extern SMReplaceWordX(string SMAstringIn,int SMInstance,string SMNewText),string
declare extern SMReplaceAllWords(STRING SMAstringIn,STRING SMText,STRING SMNewText),STRING
declare extern SMReplaceWord(string SMAstringIn,string SMText,int SMInstance,string SMNewText),string
declare extern SMDoesWordExist(string SMAstringIn,string SMText),int
declare extern SMRemoveWord(string SMAstringIn,string SMText,int SMInstance),string
declare extern SMRemoveWordAll(string SMAstringIn,string SMText),string
declare extern SMDebug(int SMDebugIn),int
declare extern SMFirstTextPos(),int
declare extern SMNextTextPos(),int
declare extern SMLastTextPos(),int
declare extern SMTrue(),int
declare extern SMEndStringMap(),int

'==============================================
' Declare External variables of the lib file. '
'==============================================

extern SMDebug as int
extern SMCorrect as int 

'==============================================
' Set Debug messages to zero (none), or 1 on. '
'==============================================

SMDebug   = 0

'===========================================================
' Try to correct instance numbers - zero (no), or 1 (yes). '
'===========================================================

SMCorrect = 1

'==============================================
' ********** End of include file ************** 
'==============================================

